> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Update sub-accounts plan

PUT https://api.brevo.com/v3/corporate/subAccounts/plan
Content-Type: application/json

This endpoint will update multiple sub-accounts plan. On the Corporate
solution new version v2, you can set an unlimited number of credits in your
sub-organization. Please pass the value “-1" to set the consumable in
unlimited mode.

Reference: https://developers.brevo.com/reference/update-sub-accounts-plan

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Body (application/json)

This endpoint expects an object.

- `credits` (object, optional) — Credit details to update
  - `email` (long, optional) — Number of email credits | Pass the value -1 for unlimited emails in ENTv2 only
  - `externalFeeds` (long, optional) — Number of externalFeeds credits, possible values are 0 or 1 |available in ENTv2 only
  - `sms` (float, optional) — Number of SMS credits | Pass the value -1 for unlimited SMS in ENTv2 only
  - `whatsapp` (float, optional) — Number of whatsapp credits | Pass the value -1 for unlimited whatsapp in ENTv2 only
  - `wpSubscribers` (long, optional) — Number of Push credits, possible value is 0 and -1 | available in ENT-v2 only
- `features` (object, optional) — Features details to update
  - `landingPage` (long, optional) — Number of landing pages
  - `salesUsers` (long, optional) — Number of sales and service users | only available in ENT-V2
  - `users` (long, optional) — Number of multi-users
- `subAccountIds` (list of long, optional) — List of sub-account ids

## Response

### 202

Request accepted

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 403 Forbidden Error

Current account is not a master account

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Request**

```json
{
  "credits": {
    "email": 5000,
    "externalFeeds": 1,
    "sms": 2000,
    "whatsapp": 100,
    "wpSubscribers": -1
  },
  "features": {
    "landingPage": 20,
    "salesUsers": 6,
    "users": 15
  },
  "subAccountIds": [
    4534345,
    987893,
    876785
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.updateSubAccountsPlan({
        credits: {
            email: 5000,
            externalFeeds: 1,
            sms: 2000,
            whatsapp: 100,
            wpSubscribers: -1,
        },
        features: {
            landingPage: 20,
            salesUsers: 6,
            users: 15,
        },
        subAccountIds: [
            4534345,
            987893,
            876785,
        ],
    });
}
main();

```

```python
from brevo import Brevo
from brevo.master_account import PutCorporateSubAccountsPlanRequestCredits, PutCorporateSubAccountsPlanRequestFeatures

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.update_sub_accounts_plan(
    credits=PutCorporateSubAccountsPlanRequestCredits(
        email=5000,
        external_feeds=1,
        sms=2000,
        whatsapp=100,
        wp_subscribers=-1,
    ),
    features=PutCorporateSubAccountsPlanRequestFeatures(
        landing_page=20,
        sales_users=6,
        users=15,
    ),
    sub_account_ids=[
        4534345,
        987893,
        876785
    ],
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\MasterAccount\Requests\PutCorporateSubAccountsPlanRequest;
use Brevo\MasterAccount\Types\PutCorporateSubAccountsPlanRequestCredits;
use Brevo\MasterAccount\Types\PutCorporateSubAccountsPlanRequestFeatures;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->updateSubAccountsPlan(
    new PutCorporateSubAccountsPlanRequest([
        'credits' => new PutCorporateSubAccountsPlanRequestCredits([
            'email' => 5000,
            'externalFeeds' => 1,
            'sms' => 2000,
            'whatsapp' => 100,
            'wpSubscribers' => -1,
        ]),
        'features' => new PutCorporateSubAccountsPlanRequestFeatures([
            'landingPage' => 20,
            'salesUsers' => 6,
            'users' => 15,
        ]),
        'subAccountIds' => [
            4534345,
            987893,
            876785,
        ],
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/subAccounts/plan"

	payload := strings.NewReader("{\n  \"credits\": {\n    \"email\": 5000,\n    \"externalFeeds\": 1,\n    \"sms\": 2000,\n    \"whatsapp\": 100,\n    \"wpSubscribers\": -1\n  },\n  \"features\": {\n    \"landingPage\": 20,\n    \"salesUsers\": 6,\n    \"users\": 15\n  },\n  \"subAccountIds\": [\n    4534345,\n    987893,\n    876785\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/subAccounts/plan")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"credits\": {\n    \"email\": 5000,\n    \"externalFeeds\": 1,\n    \"sms\": 2000,\n    \"whatsapp\": 100,\n    \"wpSubscribers\": -1\n  },\n  \"features\": {\n    \"landingPage\": 20,\n    \"salesUsers\": 6,\n    \"users\": 15\n  },\n  \"subAccountIds\": [\n    4534345,\n    987893,\n    876785\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/corporate/subAccounts/plan")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"credits\": {\n    \"email\": 5000,\n    \"externalFeeds\": 1,\n    \"sms\": 2000,\n    \"whatsapp\": 100,\n    \"wpSubscribers\": -1\n  },\n  \"features\": {\n    \"landingPage\": 20,\n    \"salesUsers\": 6,\n    \"users\": 15\n  },\n  \"subAccountIds\": [\n    4534345,\n    987893,\n    876785\n  ]\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/subAccounts/plan");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"credits\": {\n    \"email\": 5000,\n    \"externalFeeds\": 1,\n    \"sms\": 2000,\n    \"whatsapp\": 100,\n    \"wpSubscribers\": -1\n  },\n  \"features\": {\n    \"landingPage\": 20,\n    \"salesUsers\": 6,\n    \"users\": 15\n  },\n  \"subAccountIds\": [\n    4534345,\n    987893,\n    876785\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "credits": [
    "email": 5000,
    "externalFeeds": 1,
    "sms": 2000,
    "whatsapp": 100,
    "wpSubscribers": -1
  ],
  "features": [
    "landingPage": 20,
    "salesUsers": 6,
    "users": 15
  ],
  "subAccountIds": [4534345, 987893, 876785]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/subAccounts/plan")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```